<?php
namespace App\Handlers;

use PushNotification;
use Illuminate\Support\Facades\Log;

class PushNotificationHandler
{
		

	public function construct()
	{

	}

	public function handle($obj)
	{
		$body = null;
		switch($obj->notificationType)
		{
			case "MediaAdded":
					$body = $obj;
			break;


			case "AssignmentSuccessful":

					$body = $obj;
			break;

			case "PositionChanged":
					$body = $obj;
			break;


			case "MediaDeleted":
					$body = $obj;
			break;
		}

		try
		{
			$collection = PushNotification::app('digifyTv')
                ->to('etBXO_6bjjw:APA91bHqkxRDkZXhyckuvK9B_hkBALaUMbCDUIvmefnsitabFst2l3JFJE1hkOVmzH1YExdtH3iPK7Zhyt7MV9FrXf3Ul1o3hl-yNOItyiWWMJFBK4yOB23NH7rthaATJbGAicVqwg5g')
                ->send(json_encode($body));
                Log::info("send to token: ".$obj->deviceToken);

               // get response for each device push
				foreach ($collection->pushManager as $push) {
				    $response = $push->getAdapter()->getResponse();
				    Log::info(print_r($response, true));
				}
		}
		catch(\Exception $e)
		{
			Log::error($e->getMessage()."\n". $obj->deviceToken."\n\n".json_encode($body));
		}
	}


}