@extends('layouts.app')

@section('content')

<style>
    
    div[dnd-list] {
        min-height: 42px;
        /*padding-left: 0px;*/
    }

    /**
     * The dndDraggingSource class will be applied to
     * the source element of a drag operation. It makes
     * sense to hide it to give the user the feeling
     * that he's actually moving it.
     */
    div[dnd-list] .dndDraggingSource {
        display: none;
    }

    /**
     * An element with .dndPlaceholder class will be
     * added to the dnd-list while the user is dragging
     * over it.
     */
    div[dnd-list] .dndPlaceholder { 
        display: block;
    }

    div[dnd-list] .contentDisplay {
        display: block;
    }

    /**
     * Show selected elements in green
     */
    div[dnd-list] .contentDisplay.selected {
        background-color: #dff0d8;
        color: #3c763d;
    }

    .state-icon {
        left: -5px;
    }
    .list-group-item-primary {
        color: rgb(255, 255, 255);
        background-color: rgb(66, 139, 202);
    }

    /* DEMO ONLY - REMOVES UNWANTED MARGIN */
    .well .list-group {
        margin-bottom: 0px;
    }

</style>

<div ng-controller="screenCtrl">

    <div class="subHeader">
        <div class="container">


            <div class="row">
                <div class="col-sm-6">

                    @include('layouts.menu')

                </div>

                <div class="col-sm-6">

                    <div class="subSearch">
                        <input type="text" class="form-control" placeholder="Search"/>
                        <div class="searchIcon">
                            <span><i class="fa fa-search"></i></span>
                        </div>
                    </div>

                </div>


            </div>

        </div>
    </div>

    <div class="container">

        <style>

            .studioActions .well{
                

            }

            .studioArea a.btn-primary {
                font-size: 9px;
                padding: 4px 10px;
                margin-left: 3px;
                background-color: white;
                border-color: #3d3d3d;
                color: #3d3d3d;
            }

            .studioArea a.btn-primary:hover {
                background-color: #1c4ca1;
                border-color: #1c4ca1;
                color: white;
            }

            .studioArea a.btn-primary:active {
                background-color: #1c4ca1;
                border-color: #1c4ca1;
                color: white;
            } 

            .studioArea a.btn-primary:focus {
                background-color: #1c4ca1;
                border-color: #1c4ca1;
                color: white;
            }

            .studioArea .well{
                background-color: white; 
                width: 100%; 
                min-height: 200px;

            }

            .studioArea h2.page-header{
                margin-bottom: 0px;
                margin-top: 30px;
            }

            .studioLayers .well {
                width: 100%; 
                min-height: 50px;
                margin-top: 0px; 
            }

        </style>


    
        <div class="studioArea">

            
            <div class="row">
                <div class="col-md-12">
                    <h2 class="page-header">
                        Digify Studio
                    </h2>

                    <div class="row">
                        <div class="col-md-8">

                            <label>
                            Select Background 
                            <i 
                            class="fa fa-caret-down">
                            </i>
                            </label>


                            <a href="#" 
                               class="btn btn-primary">
                               Video 
                            </a>

                            <a href="#" 
                               class="btn btn-primary">
                               SKU
                            </a>

                            <a href="#" 
                               class="btn btn-primary">
                               Text
                            </a>

                            <a href="#" 
                               class="btn btn-primary">
                               Image
                            </a>

                            <a href="#" 
                               class="btn btn-primary">
                               Media
                            </a>
                        </div>

                        <div class="col-md-4">
                            
                                <input 
                                type="checkbox" 
                                />
                                <label>Loop Video</label>

                            <a href="#" 
                               class="btn btn-primary">
                               Save as Template
                            </a>

                            <a href="#" 
                               class="btn btn-primary">
                               Save 
                            </a>
                        </div>


                    </div>


                </div>
            </div>

            <br>

            <div class="row">
                <div class="col-md-8">
                    <div class="well">

                    </div>
                </div>

                <div class="col-md-4">

                    <div class="studioActions">
                        <div class="well">
                            
                        </div>
                    </div>

                </div>
            </div>

            <div class="studioLayers">
                <div class="row">
                    <div class="col-md-12">
                        <div class="well">
                            
                        </div>
                    </div>
                </div>
            </div>
        </div>

     </div>


   
    <div class="modalContent">
        
    
        </div>
      </div>
    </div>

    </div>

</div>


@endsection
